
Redmine - Feature #1792

Option to delete forum attachments (message files)

2008-08-15 02:30 - Mischa The Evil

Status: Closed Start date: 2008-08-15

Priority: Normal Due date: 2008-12-09

Assignee:  % Done: 100%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed   

Description

It would be a big plus for projects who use a (semi-)public Redmine-instance for the forums, if forum attachments (forum files) could

be deleted just in the same way as possible with the wiki attachments (wiki files)...

Maybe it's also a good thing to rename all actual attachments (issues, wiki, forums) which are now confusingly named as "Files" to

"Attachments"? This way it would more distinctive from the "Files" module of Redmin.

I spent some time searching the issues but I couldn't find an existing one for this.

History

#1 - 2008-12-07 01:21 - Mischa The Evil

- Category set to Forums

#2 - 2008-12-14 02:10 - Mischa The Evil

- Due date set to 2008-12-09

- Category changed from Forums to Attachments

- Status changed from New to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Closed the issue since this is implemented, by a refactoring of attachment-handling which resulted in the plugin acts_as_attachable, in r2116.

P.S.: I've set the Target version to 0.9 since the commit hasn't (and imho shouldn't) been merged into the 0.8-stable-branch (

source:/branches/0.8-stable). Please correct me if I'm wrong... :)

#3 - 2008-12-31 12:37 - Jean-Philippe Lang

- Target version changed from 0.9.0 to 0.8.1
